/
Get a Specific Campaign
Get a campaign by ID
Security
Auth0(Required scopes: offline_accessmanage:services)
GET
curl -i -X GET \
'https://api.mediamath.com/api/v3.0/campaigns/{campaign_id}?extended=true' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
- campaign_response
- campaign_response_extended
{ "data": { "archived": false, "status": true, "name": "string", "service_type": "SELF", "io_name": "string", "io_reference_num": "string", "is_programmatic_guaranteed": true, "political": false, "source_campaign_id": 7, "zone_name": "string", "viewability": { … }, "identity": { … }, "ad_server": { … }, "pacing": { … }, "attribution": { … }, "vendor_contracts": [ … ], "mfa_avoidance": "INHERIT", "targeting_identity_level": "INHERIT", "id": 0, "entity_type": "string", "version": 0, "advertiser_id": 0, "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z", "locked_on": "2019-08-24T14:15:22Z", "v3_usage": true, "duration": { … }, "goals": { … }, "budget": { … }, "frequency": { … }, "inventory": { … }, "site_lists": [ … ], "custom_brain_selections": [ … ], "strategies": { … }, "strategy_groups": { … }, "inherited_mfa_avoidance": "INHERIT", "inherited_mfa_from": "Organization", "inherited_targeting_identity_level": "INDIVIDUAL" }, "meta": { "status": "success" } }